Commit 2122b531 authored by Ansgar Schmidt's avatar Ansgar Schmidt 🚀 Committed by Manolis Surligas

Adding debian/ubuntu install requirements

Signed-off-by: Ansgar Schmidt's avatarAnsgar Schmidt <ansgar.schmidt@gmx.net>
parent e91611f4
Pipeline #38625704 passed with stage
in 10 minutes and 28 seconds
......@@ -20,6 +20,21 @@ for decoding signals from various scientific and academic sattelites.
* libnova (for building the debug blocks)
* libfec (it will automatically installed if not present)
#### Debian / Ubuntu
```
apt install -y build-essential cmake gnuradio g++ \
python-mako python-six libogg-dev \
libvorbis-dev libpng-dev libpng++-dev
cd /tmp
git clone https://github.com/gnuradio/volk.git
cd volk
mkdir build
cd build
cmake ..
make -j 8
sudo make install
```
### Installation
1. `git clone https://gitlab.com/librespacefoundation/satnogs/gr-satnogs.git`
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment